Get Current Usage
GET
/usage/current
const url = 'https://api.mengi.cloud/usage/current';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/usage/currentGet current usage and cost estimate for the authenticated user.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
CurrentUsageResponse
Current usage and cost estimate.
object
current_balance
required
Current Balance
number
credit_limit
required
Credit Limit
number
available_credit
required
Available Credit
number
current_period_usage
required
Current Period Usage
number
current_period_management_fee
required
Current Period Management Fee
number
estimated_monthly_cost
required
Estimated Monthly Cost
number
estimated_monthly_management_fee
required
Estimated Monthly Management Fee
number
deployments
required
Deployments
Array<object>
object
key
additional properties
any
Example generated
{ "current_balance": 1, "credit_limit": 1, "available_credit": 1, "current_period_usage": 1, "current_period_management_fee": 1, "estimated_monthly_cost": 1, "estimated_monthly_management_fee": 1, "deployments": [ {} ]}